macOS

Una vulnerabilidad en macOS permite espiar tu historial del Safari

macOS Mojave - dark mode

Jeff Johnson, investigador de seguridad, ha descubierto una nueva vulnerabilidad de seguridad en macOS Mojave, permitiendo que tras instalar una app maliciosa,  espíen tu historial del navegador Safari.

En su blog, Jeff Johnson escribió el pasado 9 de febrero confirma que esta vulnerabilidad de seguridad existe en todas las versiones de macOS Mojave, incluida en la actualización complementaria 10.14.3 que fue lanzada la semana pasada.

Este error en macOS Mojave, permite a alguna aplicación maliciosa, acceder a carpetas prohibidas por defecto, como es ~/Library/Safari. Jeff confirma en su post cómo podía acceder sin permisos de usuario específicos acceder a la información. Este permiso, por ejemplo, se parece al mismo que tiene el Finder. Esto se debe a que las protecciones de privacidad en las carpetas incluidas en Mojave no estaban presentes en versiones anteriores de macOS, como High Sierra.

A la filtración del historial del navegador, el exploit de la app maliciosa podría también acceder a tus listas de lectura, notificaciones remotas, contras de plantillas y otros datos. Eso sí, todo este proceso de extracción de datos solo sería posible el un usuario instala y ejecuta específicamente una aplicación maliciosa. Por lo cual, se hace un poco más costosa dicha ejecución (pero no improbable).

Jeff Johnson afirma que se puso en contacto con Apple Product Security con un informe que contiene todos los detalles de la vulnerabilidad para que corrijan este fallo. En ningún momento ha revelado públicamente el contenido para evitar que nadie tenga acceso y pueda aprovecharse.

Esperemos que pueda incorporarse el parche de seguridad en macOS Mojave 10.14.4, que actualmente está en las segunda beta.

Categoría
macOS

Dí mi primer muerdo a una manzana con 10 años CEO de mecambioaMac

Deja una respuesta

*

*

Suscríbete en Feedly

Síguenos en feedly